﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ModelData.BusinessModel.MainEntities
{
    /// \addtogroup Entities
    /// @{

    /// \class  SettlementName
    ///
    /// \brief  Описывает совокупность имени поселения и его url
    /// Класс описывает совокупность имени поселения и его url, которая необходима для поиска по имени на стороне клиента.
    /// Это необходимо, т.к. поиск по имени, а несколько одинаковых имен значат один и тот же url.
    /// При этом на стороне клиента был поиск среди всех имен, а теперь будет фильтр по имени, а поиск по url.
    /// \warning Этот класс надо более правильно объявить и отнести к другому пространству имен, но мне уже некогда.
    /// \author Denis
    /// \date   12.06.2019

    public class SettlementName
    {
        /// \brief  Отображаемое имя поселения при поиске.
        public string label;

        /// \brief  URL поселения, которое нужно найти на карте.
        public string value;
    }
    /// @}
}
